## org.eclipse.emf.compare.diff.metamodel
Interface ModelElementChangeLeftTarget

All Superinterfaces:
  DiffElement, org.eclipse.emf.ecore.EObject, ModelElementChange, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ModelElementChangeLeftTargetImpl

    public interface ModelElementChangeLeftTarget

extends ModelElementChange

A representation of the model object 'Model Element Change Left Target'. A "LeftTarget" element change describes a difference involving the left element/resource. In the case of ModelElementChanges, this can describe either the addition of an element or the remote removal of an element (for three way comparisons).

The following features are supported:

- `Right Parent`
- `Left Element`

See Also:
  `DiffPackage.getModelElementChangeLeftTarget()`

Method Summary
`org.eclipse.emf.ecore.EObject` `getLeftElement()` Returns the value of the 'Left Element' reference
`org.eclipse.emf.ecore.EObject` `getRightParent()` Returns the value of the 'Right Parent' reference
`void` `setLeftElement(org.eclipse.emf.ecore.EObject value)` Sets the value of the '`Left Element`' reference
`void` `setRightParent(org.eclipse.emf.ecore.EObject value)` Sets the value of the '`Right Parent`' reference

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.DiffElement
`getIsHiddenBy, getKind, getSubDiffElements, isConflicting, isRemote, setRemote`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLeftElement

    org.eclipse.emf.ecore.EObject getLeftElement()

  Returns the value of the 'Left Element' reference.

  If the meaning of the 'Left Element' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Left Element' reference.
  See Also:
    `setLeftElement(EObject)`, `DiffPackage.getModelElementChangeLeftTarget_LeftElement()`

### getRightParent

    org.eclipse.emf.ecore.EObject getRightParent()

  Returns the value of the 'Right Parent' reference.

  If the meaning of the 'Right Parent' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Right Parent' reference.
  See Also:
    `setRightParent(EObject)`, `DiffPackage.getModelElementChangeLeftTarget_RightParent()`

### setLeftElement

    void setLeftElement(org.eclipse.emf.ecore.EObject value)

  Sets the value of the '`Left Element`' reference.

  Parameters:
    `value` - the new value of the 'Left Element' reference.
  See Also:
    `getLeftElement()`

### setRightParent

    void setRightParent(org.eclipse.emf.ecore.EObject value)

  Sets the value of the '`Right Parent`' reference.

  Parameters:
    `value` - the new value of the 'Right Parent' reference.
  See Also:
    `getRightParent()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.